outq4
Prev | Orchestra Opcodes and Operators | Next

## outq4

outq4 — Writes samples to quad channel 4 of an external device or stream.

## Description

Writes samples to quad channel 4 of an external device or stream.

## Syntax

    outq4 asig

## Performance

Sends audio samples to an accumulating output buffer (created at the beginning of performance) which serves to collect the output of all active instruments before the sound is written to disk. There can be any number of these output units in an instrument.

The type (mono, stereo, quad, hex, or oct) should agree with nchnls. But as of version 3.50, Csound will attempt to change an incorrect opcode to agree with the nchnls statement. Opcodes can be chosen to direct sound to any particular channel: outs1 sends to stereo channel 1, outq3 to quad channel 3, etc.

## Examples

Here is an example of the outq4 opcode. It uses the file outq4.csd.

Example 720. Example of the outq4 opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac    ;;;realtime audio out
    ;-iadc    ;;;uncomment -iadc if realtime audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ; -o outq4.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 4
    0dbfs  = 1

    instr 1

    asig vco2 .05, 30	; sawtooth waveform at low volume

    kcut line 100, p3, 30	; Vary cutoff frequency
    kresonance = 7
    inumlayer = 2
    asig lowresx asig, kcut, kresonance, inumlayer

          outq4 asig	; output channel 4

    endin
    </CsInstruments>
    <CsScore>

    i 1 0 3
    e
    </CsScore>
    </CsoundSynthesizer>

## See also

Signal Output

## Credits

Author: Barry L. Vercoe, Matt Ingalls/Mike Berry
MIT, Mills College
1993-1997

Prev | Up | Next
outq3 | Home | outq